The API is currently in development and is not yet available for production use. Please check back later.
cURL
curl --request POST \ --url https://refract.prismapi.io/v1/solana/dex/portfolios/get-portfolio \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "wallet": "suqh5sHtr8HyJ7q8scBimULPkPpA557prMG47xCHQfK" } '
{ "value": 123, "tokens": [ { "token": "<string>", "balance": 123, "price": 123, "value": 123 } ] }
Returns the portfolio for a specific wallet.
Your Prism API key. You can get one for free in the Prism Dashboard.
Wallet address to retrieve portfolio for.
Portfolio for the specified wallet.
Wallet portfolio with total value and per-token breakdowns.
Total portfolio value.
List of token holdings in the portfolio.
Show child attributes
Was this page helpful?